function s = sigma(mu,xi)

    mesh = linspace(0,1,length(mu));
    h = mesh(2)-mesh(1);
    d = (mu(:,2:end)-mu(:,1:end-1))/h; % derivative of u
    dnorm = sqrt(d(1,:).^2 + d(2,:).^2); % norm of the derivative
    mu_xi = linterp(mesh,mu(2,:),xi); % interpolate the second component in the evaluation points
    
    for j=1:length(xi)
     index = find(mesh>xi(j),1);    % find the index of the first mesh point greater than xi(j)
                                    % the derivative in xi corresponds to the entry d(index-1)
                                    % at mesh points, we consider the right derivative
     s(j) = 1/(sqrt(-mu_xi(j))*dnorm(index-1));
    end