function f = sourcefn(mu,xi)

    M =length(mu)-1;
    mesh = linspace(0,1,length(mu));
    h = mesh(2)-mesh(1);
    d = (mu(:,2:end)-mu(:,1:end-1))/h; % derivative of u
    dnorm = sqrt(d(1,:).^2 + d(2,:).^2); % norm of the derivative
    mu_xi = linterp(mesh,mu(2,:),xi);
    
    f(1,:)= zeros(1,length(xi));
    
    for j=1:length(xi)
     index = find(mesh>xi(j),1);  % find the index of the first mesh point greater than xi(j)
                                  % the derivative in xi corresponds to the entry d(index-1)
                                  % at mesh points, we consider the right derivative
     f(2,j) = dnorm(index-1)/(2*sqrt(-mu_xi(j))*mu_xi(j));
    end