function t = traveltime(mu)

    mesh = linspace(0,1,length(mu));
    h = mesh(2)-mesh(1);
    d = (mu(:,2:end)-mu(:,1:end-1))/h;
    dnorm = sqrt(d(1,:).^2 + d(2,:).^2);
    % TRAPEZOIDAL RULE
%     mu2 = mu(2,:);
%     t = sum((dnorm(1:end-1)+dnorm(2:end))./(sqrt(-mu2(2:(end-1)))))+...
%           ...+dnorm(end)/sqrt(-mu2(end));
%     if abs(mu2(1))>eps
%         t = t+dnorm(1)/sqrt(-mu2(1));
%     end  
    % MIDPOINT RULE
    xi = h/2:h:(1-h/2);
    mu_xi = linterp(mesh,mu(2,:),xi);
    t = sum(dnorm./(sqrt(-mu_xi)))*h;
